Package com.databricks.jdbc.commons.util

## Class ErrorCodes

- java.lang.Object
- - com.databricks.jdbc.commons.util.ErrorCodes

    public class ErrorCodes
    extends Object

### Field Summary

Fields
`static int` `BATCH_OPERATION_UNSUPPORTED`
`static int` `CHUNK_DOWNLOAD_ERROR`
`static int` `COMMUNICATION_FAILURE`
`static int` `CURSOR_NAME_NOT_FOUND`
`static int` `EXECUTE_METHOD_UNSUPPORTED`
`static int` `EXECUTE_STATEMENT_CANCELLED`
`static int` `EXECUTE_STATEMENT_CLOSED`
`static int` `EXECUTE_STATEMENT_FAILED`
`static int` `MAX_FIELD_SIZE_EXCEEDED`
`static int` `MORE_RESULTS_UNSUPPORTED`
`static int` `POOLABLE_METHOD_UNSUPPORTED`
`static int` `RESULT_SET_ERROR`
`static int` `STATEMENT_CLOSED`
`static int` `STATEMENT_EXECUTION_TIMEOUT`
`static int` `STATEMENT_UNWRAP_UNSUPPORTED`
`static int` `UNSUPPORTED_FETCH_FORWARD`
`static int` `VOLUME_OPERATION_PARSING_ERROR`

### Constructor Summary

Constructors
`ErrorCodes()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHUNK_DOWNLOAD_ERROR

    public static final int CHUNK_DOWNLOAD_ERROR

See Also:
  Constant Field Values

#### EXECUTE_STATEMENT_FAILED

    public static final int EXECUTE_STATEMENT_FAILED

See Also:
  Constant Field Values

#### EXECUTE_STATEMENT_CANCELLED

    public static final int EXECUTE_STATEMENT_CANCELLED

See Also:
  Constant Field Values

#### EXECUTE_STATEMENT_CLOSED

    public static final int EXECUTE_STATEMENT_CLOSED

See Also:
  Constant Field Values

#### RESULT_SET_ERROR

    public static final int RESULT_SET_ERROR

See Also:
  Constant Field Values

#### COMMUNICATION_FAILURE

    public static final int COMMUNICATION_FAILURE

See Also:
  Constant Field Values

#### MAX_FIELD_SIZE_EXCEEDED

    public static final int MAX_FIELD_SIZE_EXCEEDED

See Also:
  Constant Field Values

#### CURSOR_NAME_NOT_FOUND

    public static final int CURSOR_NAME_NOT_FOUND

See Also:
  Constant Field Values

#### MORE_RESULTS_UNSUPPORTED

    public static final int MORE_RESULTS_UNSUPPORTED

See Also:
  Constant Field Values

#### UNSUPPORTED_FETCH_FORWARD

    public static final int UNSUPPORTED_FETCH_FORWARD

See Also:
  Constant Field Values

#### BATCH_OPERATION_UNSUPPORTED

    public static final int BATCH_OPERATION_UNSUPPORTED

See Also:
  Constant Field Values

#### EXECUTE_METHOD_UNSUPPORTED

    public static final int EXECUTE_METHOD_UNSUPPORTED

See Also:
  Constant Field Values

#### POOLABLE_METHOD_UNSUPPORTED

    public static final int POOLABLE_METHOD_UNSUPPORTED

See Also:
  Constant Field Values

#### STATEMENT_UNWRAP_UNSUPPORTED

    public static final int STATEMENT_UNWRAP_UNSUPPORTED

See Also:
  Constant Field Values

#### STATEMENT_EXECUTION_TIMEOUT

    public static final int STATEMENT_EXECUTION_TIMEOUT

See Also:
  Constant Field Values

#### STATEMENT_CLOSED

    public static final int STATEMENT_CLOSED

See Also:
  Constant Field Values

#### VOLUME_OPERATION_PARSING_ERROR

    public static final int VOLUME_OPERATION_PARSING_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### ErrorCodes

    public ErrorCodes()